petsc-3.4.2 2013-07-02

# SNESGetFunctionNorm

Gets the norm of the current function that was set with SNESSSetFunction().

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESGetFunctionNorm(SNES snes,PetscReal *fnorm)

Collective on SNES

### Input Parameter

snes -SNES context

### Output Parameter

fnorm -2-norm of function

### Keywords

SNES, nonlinear, get, function, norm

### See Also

SNESGetFunction(), SNESGetIterationNumber(), SNESGetLinearSolveIterations()

Level:intermediate
Location:src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages